LIVE messenger on windows xp x64 or windows server 2003

Strangely enough microsoft decided that windows xp x64 and windows server 2003 shouldn't support LIVE messenger, even though the program runs just fine.

When you try to install LIVE messenger 8.5 you get the message that your operating system is not supported.

Do not despair.

Just download an old version of LIVE messenger from e.g. oldapps.com, and install that version.

When you sign on the first time, messenger says that there is a new version availablem, and ask if you want to upgrade to that version.

Just click yes, and it will download the new version, install it without complaning a bit.

Thats how you get LIVE messenger 8.5 on xp x64 and server 2003.